$schema: http://support.riverbed.com/apis/service_def/2.2
description: Service which requests and initiates shutdowns and reboots of the system
id: http://support.riverbed.com/apis/npm.reboot/1.1
name: npm.reboot
provider: riverbed
resources:
  boot_timestamp:
    description: 'The time when the system last booted

      '
    links:
      get:
        method: GET
        response:
          $ref: '#/resources/boot_timestamp'
      self:
        path: $/boot_timestamp
    readOnly: true
    type: integer
  reboot:
    additionalProperties: false
    description: perform the actual reboot
    links:
      reboot:
        method: POST
        response:
          additionalProperties: false
          properties:
            message:
              type: string
          type: object
      self:
        path: $/reboot
    type: object
  shutdown:
    additionalProperties: false
    description: perform the actual shutdown
    links:
      self:
        path: $/shutdown
      shutdown:
        method: POST
        response:
          additionalProperties: false
          properties:
            message:
              type: string
          type: object
    type: object
  uptime:
    description: 'Time in seconds since the last boot

      '
    links:
      get:
        method: GET
        response:
          $ref: '#/resources/uptime'
      self:
        path: $/uptime
    readOnly: true
    type: integer
title: NPM Reboot
version: '1.1'
